Subject: [sipcore] Fwd: New Version Notification for draft-johansson-sipcore-dane-sip-00.txt

From: "Olle E. Johansson" <[email-masked]>
Date: Mon, 6 Oct 2014 16:20:57 +0200

Just a update of the name - no content changed - to keep it on track.

Cheers,
/O

Begin forwarded message:

> From: [email-masked]
> Subject: New Version Notification for draft-johansson-sipcore-dane-sip-00.txt
> Date: 6 Oct 2014 16:16:17 GMT+2
> To: Olle E. Johansson <[email-masked]>, "Olle E. Johansson" <[email-masked]>
> 
> 
> A new version of I-D, draft-johansson-sipcore-dane-sip-00.txt
> has been successfully submitted by Olle E. Johansson and posted to the
> IETF repository.
> 
> Name:		draft-johansson-sipcore-dane-sip
> Revision:	00
> Title:		TLS sessions in SIP using DNS-based Authentication of Named Entities (DANE) TLSA records
> Document date:	2014-10-06
> Group:		Individual Submission
> Pages:		9
> URL:            http://www.ietf.org/internet-drafts/draft-johansson-sipcore-dane-sip-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-johansson-sipcore-dane-sip/
> Htmlized:       http://tools.ietf.org/html/draft-johansson-sipcore-dane-sip-00
> 
> 
> Abstract:
>   Use of TLS in the SIP protocol is defined in multiple documents,
>   starting with RFC 3261.  The actual verification that happens when
>   setting up a SIP TLS connection to a SIP server based on a SIP URI is
>   described in detail in RFC 5922 - SIP Domain Certificates.
> 
>   In this document, an alternative method is defined, using DNS-Based
>   Authentication of Named Entities (DANE).  By looking up TLSA DNS
>   records and using DNSsec protection of the required queries,
>   including lookups for NAPTR and SRV records, a SIP Client can verify
>   the identity of the TLS SIP server in a different way, matching on
>   the SRV host name in the X.509 PKIX certificate instead of the SIP
>   domain.  This provides more scalability in hosting solutions and make
>   it easier to use standard CA certificates (if needed at all).
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>